View Issue Details

IDProjectCategoryView StatusLast Update
0000595SOGoWeb Mailpublic2016-08-02 10:33
ReporterJason Oster Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version3.0.0Fixed in Version3.0.2 
Summary0000595: Delete Folder -> "Do you really want to move this folder into the trash?" when the folder is already trashed
Description
  1. Create a new folder (under your Inbox, for example.)
  2. Right click the new folder, and select "Delete Folder"
  3. Answer "Yes" to the prompt: "Do you really want to move this folder into the trash?"
  4. Right click the same folder again (this time it is under trash) and select "Delete Folder"

A couple of different things happen. First, it asks again if you want to move the folder to the trash, even though it is already in the trash. Second, if you tell it "yes", it will either: a) rename the folder to <old name>1 [attempting this multiple times will leave you with something like "Folder1111111" in the trash.] or b) it will just tell you that it cannot delete the folder.

I can't tell how to reproduce either of those two results (a or b) but one or the other will always happen; it's impossible to actually delete a folder in the web interface.

TagsNo tags attached.

Relationships

has duplicate 0000641 resolvedludovic Unable to delete any folders from trash 
has duplicate 0002397 closedludovic Cannot delete a previously deleted folder from trash 
has duplicate 0002363 closed Cannot delete a previously trashed folder from trash 
has duplicate 0003401 closedludovic Cannot delete sub-folder in Trash folder. 

Activities

wsourdeau

wsourdeau

2010-06-01 09:19

viewer   ~0001083

It may not be very intuitive for your use case but theoretically, the folders will be deleted when the Trash folder is purged...

Jason Oster

Jason Oster

2010-06-02 11:12

reporter   ~0001085

wsourdeau: I am unable to find any way to purge a folder on the web interface.

wsourdeau

wsourdeau

2010-06-02 11:15

viewer   ~0001086

Jason: it's the option "Compact this folder" in the menu available with the trash folder.

Jens Erat

Jens Erat

2014-06-08 11:02

reporter   ~0007157

Again reported in

Maybe the delete option should just be inactive for folders, or the user requested to empty the trash instead. Was able to reproduce the added "1"s both with dovecot and cyrus setups.

mbi

mbi

2014-06-12 06:54

reporter   ~0007200

I see that the other bug for this was closed as won't fix.

Using 'Empty Trash' is not an acceptable workaround.

What if I don't want to empty the trash, but only want to delete that one folder from it?

I routinely keep things in the trash for 30 days, and let Thunderbird purge older items.

ludovic

ludovic

2016-02-09 15:52

administrator   ~0009484

https://github.com/inverse-inc/sogo/commit/3e76de1e6e31e84e3838a761fb2812ba7883723d

Related Changesets

sogo: v2 9ecee32d

2016-02-09 15:46:52

ludovic


Committer: francis Details Diff
(fix) delete mailbox from the Trash folder

Fixes 0000595, 0001189, 0000641
Affected Issues
0000595, 0000641, 0001189
mod - NEWS Diff File
mod - UI/MailerUI/UIxMailFolderActions.m Diff File

Issue History

Date Modified Username Field Change
2010-04-29 11:12 Jason Oster New Issue
2010-06-01 08:53 francis Relationship added has duplicate 0000641
2010-06-01 09:19 wsourdeau Note Added: 0001083
2010-06-02 11:12 Jason Oster Note Added: 0001085
2010-06-02 11:15 wsourdeau Note Added: 0001086
2014-06-08 11:02 Jens Erat Note Added: 0007157
2014-06-11 04:09 Christian Mack Relationship added has duplicate 0002397
2014-06-11 04:10 Christian Mack Relationship added has duplicate 0002363
2014-06-12 06:54 mbi Note Added: 0007200
2014-06-16 15:48 ludovic Target Version => 3.0.0
2015-11-30 20:37 francis Relationship added has duplicate 0003401
2016-02-09 15:52 ludovic Note Added: 0009484
2016-02-09 15:52 ludovic Status new => resolved
2016-02-09 15:52 ludovic Fixed in Version => 3.0.2
2016-02-09 15:52 ludovic Resolution open => fixed
2016-02-09 15:52 ludovic Assigned To => ludovic
2016-08-02 10:33 francis Changeset attached => sogo v2 9ecee32d